import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (p, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, n = p.length - 1, c; n >= 0; n--)
    (c = p[n]) && (e = (r ? c(t, o, e) : c(e)) || e);
  return r && e && v(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--calendar", this.class = "c-pieIcon c-pieIcon--calendar", this.name = "IconCalendar";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--calendar"><path d="M11.448 6.469H4.614L5.27 7.78h5.521z"></path><path d="M11.281 2.969V1.875H9.97v1.094H6.03V1.875H4.72v1.094H2.094v10.937h8.531a3.28 3.28 0 0 0 3.281-3.281V2.969zm1.313 7.656a1.97 1.97 0 0 1-1.969 1.969H3.406V4.28H4.72v1.094H6.03V4.281H9.97v1.094h1.312V4.281h1.313z"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = i([
  f("icon-calendar")
], s);
export {
  s as IconCalendar
};
